#+TITLE: Sacha Chua's Emacs configuration
#+ELEVENTY_COLLECTIONS: _posts
#+ELEVENTY_BASE_DIR: ~/proj/static-blog/
#+ELEVENTY_CATEGORIES+: emacs
#+ELEVENTY_LAYOUT: layouts/post
#+ELEVENTY_BASE_URL: https://sachachua.com
* Remove open Org Mode clock entries
:PROPERTIES:
:CUSTOM_ID: org-mode-remove-open-org-mode-clock-entries
:EXPORT_DATE: 2025-03-14T10:36:04-0400
:EXPORT_ELEVENTY_PERMALINK: /blog/2025/03/remove-open-org-mode-clock-entries/
:EXPORT_ELEVENTY_FILE_NAME: blog/2025/03/remove-open-org-mode-clock-entries/
:END:

Pedro pointed out that I had some incomplete clock
entries in my Emacs configuration.
[[https://orgmode.org/manual/Resolving-idle-time.html][org-resolve-clocks]] prompts you for what to do
with each open clock entry in your Org agenda
files and whatever Org Mode files you have open.

If you don't feel like cancelling each clock with
~C~, I also wrote this function to delete all open
clocks in the current file.

#+begin_src emacs-lisp
(defun my-org-delete-open-clocks ()
	(interactive)
	(flush-lines
	 (rx
		line-start
		(zero-or-more space)
		"CLOCK:"
		(one-or-more space)
		(regexp org-ts-regexp-inactive)
		(zero-or-more space)
		line-end)))
#+end_src

